    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.io.StringReader

    java.lang.Object
       |
       +----java.io.Reader
               |
               +----java.io.StringReader

public class StringReader
extends Reader

A character stream whose source is a string.

##

StringReader(String)
  Create a new string reader.

##

close()
  Close the stream.
mark(int)
  Mark the present position in the stream.
markSupported()
  Tell whether this stream supports the mark() operation, which it does.
read()
  Read a single character.
read(char[], int, int)
  Read characters into a portion of an array.
ready()
  Tell whether this stream is ready to be read.
reset()
  Reset the stream to the most recent mark, or to the beginning of the string if it has never been marked.
skip(long)
  Skip characters.

##

StringReader

     public StringReader(String s)

  Create a new string reader.

##

read

     public int read() throws IOException

  Read a single character.

  Returns:
    The character read, or -1 if the end of the stream has been reached
  Throws: IOException
    If an I/O error occurs
  Overrides:
    read in class Reader

read

     public int read(char cbuf[],
                     int off,
                     int len) throws IOException

  Read characters into a portion of an array.

  Parameters:
    cbuf - Destination buffer
    off - Offset at which to start writing characters
    len - Maximum number of characters to read
  Returns:
    The number of characters read, or -1 if the end of the stream has been reached
  Throws: IOException
    If an I/O error occurs
  Overrides:
    read in class Reader

skip

     public long skip(long ns) throws IOException

  Skip characters.

  Throws: IOException
    If an I/O error occurs
  Overrides:
    skip in class Reader

ready

     public boolean ready()

  Tell whether this stream is ready to be read. String readers are always ready to be read.

  Overrides:
    ready in class Reader

markSupported

     public boolean markSupported()

  Tell whether this stream supports the mark() operation, which it does.

  Overrides:
    markSupported in class Reader

mark

     public void mark(int readAheadLimit) throws IOException

  Mark the present position in the stream. Subsequent calls to reset() will reposition the stream to this point.

  Parameters:
    readAheadLimit - Limit on the number of characters that may be read while still preserving the mark. Because the stream's input comes from a string, there is no actual limit, so this argument is ignored.
  Throws: IOException
    If an I/O error occurs
  Overrides:
    mark in class Reader

reset

     public void reset() throws IOException

  Reset the stream to the most recent mark, or to the beginning of the string if it has never been marked.

  Throws: IOException
    If an I/O error occurs
  Overrides:
    reset in class Reader

close

     public void close()

  Close the stream.

  Overrides:
    close in class Reader

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.